kdecore Library: KSelectionWatcher Class Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KSelectionWatcher Class Reference

This class implements watching manager selections, as described in the ICCCM section 2.8. ICCCM manager selection watching. More...

`#include <kmanagerselection.h>`

Inheritance diagram for KSelectionWatcher:

[legend]
Collaboration diagram for KSelectionWatcher:

[legend]
List of all members.

## Signals
void | newOwner (Window owner)
void | lostOwner ()
## Public Member Functions
| KSelectionWatcher (Atom selection, int screen=-1, QObject *parent=NULL)
| KSelectionWatcher (const char *selection, int screen=-1, QObject *parent=NULL)
Window | owner ()
void | filterEvent (XEvent *ev_P)
## Protected Member Functions
virtual void | virtual_hook (int id, void *data)

## Detailed Description

This class implements watching manager selections, as described in the ICCCM section 2.8. ICCCM manager selection watching.

It emits signal newOwner() when a new owner claim the selection, and emits lostOwner() when the selection ownership is given up. To find out current owner of the selection, owner() can be used.

Since:
  3.2

Definition at line 169 of file kmanagerselection.h.

## Constructor & Destructor Documentation

KSelectionWatcher::KSelectionWatcher | ( | Atom | selection,
|  | int | screen = `-1`,
|  | QObject * | parent = `NULL`
| ) |

  | This constructor initializes the object, but doesn't perform any operation on the selection. Parameters:
  | selection | atom representing the manager selection
  | screen | X screen, or -1 for default
  | parent | parent object, or NULL if there is none
Definition at line 393 of file kmanagerselection.cpp.

KSelectionWatcher::KSelectionWatcher | ( | const char * | selection,
|  | int | screen = `-1`,
|  | QObject * | parent = `NULL`
| ) |

  | This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. This constructor accepts the selection name and creates the appropriate atom for it automatically. Parameters:
  | selection | name of the manager selection
  | screen | X screen, or -1 for default
  | parent | parent object, or NULL if there is none
Definition at line 403 of file kmanagerselection.cpp.

## Member Function Documentation

Window KSelectionWatcher::owner | ( |  | ) |

| Return the current owner of the manager selection, if any. Definition at line 432 of file kmanagerselection.cpp. References KXErrorHandler::error(), and newOwner().

void KSelectionWatcher::newOwner | ( | Window | owner | ) | `[signal]`

  | This signal is emitted when the selection is successfully claimed by a new owner. Parameters:
  | owner | the new owner of the selection
Referenced by owner().

void KSelectionWatcher::lostOwner | ( |  | ) | `[signal]`

| This signal is emitted when the selection is given up, i.e. there's no owner. Note that the selection may be immediatelly claimed again, so the newOwner() signal may be emitted right after this one. It's safe to delete the instance in a slot connected to this signal.

The documentation for this class was generated from the following files:

- kmanagerselection.h
- kmanagerselection.cpp

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:18:59 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003